| Version: 3.2.5

Public Member Functions | Protected Member Functions | List of all members
wxPGChoicesData Class Reference

`#include <wx/propgrid/property.h>`

Inheritance diagram for wxPGChoicesData:
[legend]

## Public Member Functions

| wxPGChoicesData ()
void | CopyDataFrom (wxPGChoicesData *data)
wxPGChoiceEntry & | Insert (int index, const wxPGChoiceEntry &item)
void | Clear ()
unsigned int | GetCount () const
const wxPGChoiceEntry & | Item (unsigned int i) const
wxPGChoiceEntry & | Item (unsigned int i)

## Protected Member Functions

virtual | ~wxPGChoicesData ()

## Constructor & Destructor Documentation

## ◆ wxPGChoicesData()

wxPGChoicesData::wxPGChoicesData | ( |  | ) |

## ◆ ~wxPGChoicesData()

virtual wxPGChoicesData::~wxPGChoicesData | ( |  | ) |

protected virtual

## Member Function Documentation

## ◆ Clear()

void wxPGChoicesData::Clear | ( |  | ) |

## ◆ CopyDataFrom()

void wxPGChoicesData::CopyDataFrom | ( | wxPGChoicesData * | data | ) |

## ◆ GetCount()

unsigned int wxPGChoicesData::GetCount | ( |  | ) | const

## ◆ Insert()

wxPGChoiceEntry& wxPGChoicesData::Insert | ( | int | index,
|  | const wxPGChoiceEntry & | item
| ) |  |

## ◆ Item() [1/2]

wxPGChoiceEntry& wxPGChoicesData::Item | ( | unsigned int | i | ) |

## ◆ Item() [2/2]

const wxPGChoiceEntry& wxPGChoicesData::Item | ( | unsigned int | i | ) | const